# Uses of Interface
org.apache.cxf.endpoint.ServerLifeCycleListener

Packages that use ServerLifeCycleListener
Package
Description
org.apache.cxf.bus.managers
org.apache.cxf.endpoint

- ## Uses of ServerLifeCycleListener in org.apache.cxf.bus.managers

  Methods in org.apache.cxf.bus.managers with parameters of type ServerLifeCycleListener
  Modifier and Type
  Method
  Description
  `void`
  ServerLifeCycleManagerImpl.`registerListener(ServerLifeCycleListener listener)`
  `void`
  ServerLifeCycleManagerImpl.`unRegisterListener(ServerLifeCycleListener listener)`

- ## Uses of ServerLifeCycleListener in org.apache.cxf.endpoint

  Classes in org.apache.cxf.endpoint that implement ServerLifeCycleListener
  Modifier and Type
  Class
  Description
  `class`
  `ManagedEndpoint`
  Methods in org.apache.cxf.endpoint with parameters of type ServerLifeCycleListener
  Modifier and Type
  Method
  Description
  `void`
  ServerLifeCycleManager.`registerListener(ServerLifeCycleListener listener)`
  `void`
  ServerLifeCycleManager.`unRegisterListener(ServerLifeCycleListener listener)`